# class Bundler::SocketAddress

`Socket` address builder.

Given a socket type, a host and a port,

    provides a method to build sockaddr string

### Attributes

host[R]
port[R]
type[R]

### Public Class Methods

new(type, host, port) click to toggle source

    # File lib/bundler/mirror.rb, line 213
    def initialize(type, host, port)
      @type = type
      @host = host
      @port = port
    end

### Public Instance Methods

to_socket_address() click to toggle source

    # File lib/bundler/mirror.rb, line 219
    def to_socket_address
      Socket.pack_sockaddr_in(@port, @host)
    end